function serverCmdSetJail(%c, %l)
{
	if(!%c.isSuperAdmin)
		return;
	
	messageAll('', "\c3" @ %c.name SPC "\c6set a new jail location");
	
	echo(%c.name SPC "set a new jail location at:" SPC %c.player.getPosition());
	
	$Pref::Server::JailLocation = %c.player.getPosition();
}

function serverCmdJail(%c, %t)
{
	if(!%c.isAdmin)
		return;
	
	%t = findClientByName(%t);
	
	if($Pref::Server::JailLocation !$= "")
	{
		if(isObject(%t.player) && ((%c.isAdmin && !%t.isSuperAdmin) || (%c.isSuperAdmin && !%t.isHost) || (%c.isHost)))
		{
			if(!%t.player.isJailed)
			{
				%t.instantRespawn();
				
				messageAll('', "\c3" @ %c.name SPC "\c6jailed \c3" @ %t.name);
				
				echo(%c.name SPC "jailed" SPC %t.name);
				
				%t.player.setTransform($Pref::Server::JailLocation);

				%t.player.changeDataBlock(PlayerNoJet);

				%t.player.setNodeColor("chest", "1 0.5 0 1");
				%t.player.setNodeColor("LArm", "1 0.5 0 1");
				%t.player.setNodeColor("RArm", "1 0.5 0 1");
				%t.player.setNodeColor("LArmSlim", "1 0.5 0 1");
				%t.player.setNodeColor("RArmSlim", "1 0.5 0 1");
				
				%t.player.setDecalName("mod-prisoner");

				%t.player.isJailed = true;
			}
			else
			{
				messageAll('', "\c3" @ %c.name SPC "\c6unjailed \c3" @ %t.name);
				
				echo(%c.name SPC "unjailed" SPC %t.name);

				%t.player.isJailed = false;
				
				%t.instantRespawn();
			}
		}
	}
	else
		messageClient(%c, '', "\c6A jail location has not been set!");
}