function serverCmdFreeze(%c, %t)
{
	if(!%c.isSuperAdmin)
		return;
	
	%t = findClientByName(%t);
	
	if(isObject(%t.player) && ((%c.isSuperAdmin && !%t.isHost) || (%c.isHost)))
	{
		if(%t.player.isFrozen)
		{
			messageAll('', "\c3" @ %c.name SPC "\c6unfroze \c3" @ %t.name);
			
			echo(%c.name SPC "unfroze" SPC %t.name);
			
			%t.player.changeDatablock(%t.player.lastDatablock);
			
			%t.player.isFrozen = 0;
			
			cancel(%t.player.freezeLoop);

			%t.applyBodyColors();
			%t.applyBodyParts();
		}
		else
		{
			%t.player.lastDatablock = %t.player.getDatablock();
			
			messageAll('', "\c3" @ %c.name SPC "\c6froze \c3" @ %t.name);
			
			echo(%c.name SPC "froze" SPC %t.name);
			
			%t.player.changeDatablock(PlayerFrozenArmor);
			
			%t.player.isFrozen = 1;
			
			%freezeLocation = %t.player.getTransform();
			
			%t.player.freeze(%freezeLocation);
		}
	}
}

function Player::Freeze(%this, %location)
{
	if(isEventPending(%this.freezeLoop))
	{
		cancel(%this.freezeLoop);
	}
	
	serverCmdUnUseTool(%this.client);
	
	serverCmdCancelBrick(%this.client);
	
	
	%this.setTransform(%location);
	
	%this.setVelocity("0 0 0");
	
	%this.freezeLoop = %this.schedule($Pref::Server::FreezeLoopTick, freeze, %location);
	
}